import { withTiming } from 'react-native-reanimated';
import { Easing } from './easing';

function withKeyframes({
  keyframes,
  easing,
  easingsByKeyframe,
  callback,
  duration
}) {
  return withTiming(keyframes[keyframes.length - 1], {
    easing: Easing.keyframes({
      keyframes: keyframes,
      easing,
      easingsByKeyframe
    }),
    duration
  }, callback);
}

export { withKeyframes };
//# sourceMappingURL=with-keyframes.js.map